09.02.2015 15:40    

volkan_25
elinize sağlık dim lineardan dim continue geçip devam ederse çok süper olacak iki komutu bir lispte birleştirmek mükünmudür

09.02.2015 23:43    

alumina
Alıntı
ehya :
Bu da benden olsun.
Farklı bir yoldan yazdım. Belki birisine lazım olur :)

Kod:

(defun c:tll ()
(setq cl (getvar "clayer"))
  (while (= (getvar "cmdactive") 0)
    (setvar "clayer" "a1")
    (command "dimlinear")
    )
  (setvar "clayer" cl)
  (princ))





Sen her zaman yaz. Mutlaka lazım olur :)

10.02.2015 15:16    

volkan_25
(defun c:11 (/ pl)
(setq oldcly (getvar "clayer"))
(command "_.LAYER" "_Thaw" "ol" "")
(command "_.LAYER" "_on" "ol" "")
(setvar "clayer" "ol")
(command "__dimlinear" "\" "\" "\")
(command "_dimcontinue")
(while (> (getvar "CMDACTIVE") 0)
(command pause)
)
(setvar "clayer" oldcly)
(princ)
)

çözdüm sonunda güzel oldu

16.02.2015 09:28    

k005
Alıntı
alumina :
Kod:

(defun c:ph (/ ls)
(defun *error* (er) (setq *error* nil)) (setvar "cmdecho" 0)
(setq pt (getpoint))
(while
(/= pt nil)
(setq ls (cons pt ls) pt (getpoint)))
(vl-cmdf "._pline")
(foreach ls1 ls
(vl-cmdf ls1))
(command "close"
         "._hatch" "solid" (entlast) "")
(princ))




Şimdi deneme fırsatı buldum. Tamamdır.. Çok teşekkür ediyorum.

24.02.2015 20:04    

cideli82
merhabalar,
autocad ile elektrik projesi çiziminde kullanılan hesaplama, tablo oluşturma tek hat şeması çizmek için lisp varmı acaba? yardımcı olabilir misiniz?

25.02.2015 14:42    

k005
Merhaba Arkadaşlar;

Y değerini diğer text objelere atama yapan bir lisp gerekiyor.. örnek dosyada detaylı anlatım mevcuttur.



Linkleri görebilmek için ÜYE olmalısınız.



Yardımcı arkadaşa şimdiden teşekkürler. Herkese Kolay gelsin.

25.02.2015 15:13    

ehya
k005




hatalı ve doğru dediğin textler arasındaki tek fark renk farkı.
Diğer farkı göremedim.!!!

25.02.2015 15:24    

k005
ehya

Hocam Y değerlerinde küçük farklar var.. 1 2 3 4 5 sayılarındaki Y değerleri diğerlerinde de aynı olacak. Noktadan sonraki kısmlarda...


Mesela ;

Hatalı kısmdaki;

1 sayısnın Y değeri : 293.8640328764875 <- budur.

16 : 293.8803186882201

1050: 293.8803186882201

81 : 293.8803186882201

bunlar tesadüfen aynı. (16 1050 ve 81 ) ama 1 değerini almaları gerekiyor..

25.02.2015 15:30    

ehya
Yazdığın kodu gönder. Kontrol edip hatalı bölümü söylerim.

25.02.2015 16:04    

k005
Bununla ilgili hazırladığım bir kod yok. Bu sebepten ötürü "Lisp İstekleri" bölümüne yazdım.

25.02.2015 16:19    

ehya
k005




Hatırladığım kadarıyla lisp yazmasını biliyorsun. kodu zor olmayan bir lisp için istekte bulunmanı anlamıyorum.
Neyse, vakti olan arkadşlardan birisi ilgilenecektir.!!!

25.02.2015 16:39    

k005
Alıntı
ehya :

Teşekkürler hocam. Bundan sonra istekde bulunmasam iyi olacak sanırım..!!!!

25.02.2015 16:42    

ehya
k005




istekte bulunma diye söylemedim. Ama bildiğin bir konuda hazırı istemek ne kadar doğru..
tamam yetersiz olabilirsin. işte orada biz devreye girelim. hem öğren, hem başkaları da öğrensin.
bizde bir işe yarayalım. Yoksa istekleri "yaz yaz yaz" nereye kadar!...

25.02.2015 16:48    

k005
Alıntı
ehya :

Şimdi bu "Lisp istekleri" bölümü sadece yeni öğrenenler için mi ? yani yazabilenler oraya istek yapamaz mı ? Yeterlilik bana göre değişir - Sana göre değişir.. sonuç : Y değerlerini eşitleyen bir lisp isteğinde bulunduk.. konu nerden nereye gidiyor.. diyorsunki ; "bildiğin konuda hazırı istemek.." Ben hiç bir zaman böyle düşünmedim.. Soruyu sordum.. Yazılır ne Ala.. yazılmazsa da sıkıntı yok..

28.02.2015 14:41    

idrisg45
autocad üzerinde Yol projesine ait enkesitlermimiz var.bu enkesitlerimizde bazı değerleri notpad formatında (netcadde kse formatı)çoklu seçim olarak almak istiyoruz.çizimim ektedir.eğer böyle bir şey mumkunse cok makbule geçicek.eminim buradaki bir cok harita mesleğindeki akadaşımıza da faydası olacaktır.

03.03.2015 15:05    

geredeli77
Sayın Hocalarım;

Döşeme donatılarında adet hesabı yapıp demirin üzerinde yazan örnek %%C10/25 önüne adedi yazacak bir lisp lazım yardımlarınız için teşekkürler.

06.03.2015 06:35    

ozati
merhaba,
Ekrandaki kotlu çizgilerin uçlarına kotlu nokta atan lisp e ihtiyacım var.

06.03.2015 06:54    

alumina
Alıntı
ozati :
merhaba,
Ekrandaki kotlu çizgilerin uçlarına kotlu nokta atan lisp e ihtiyacım var.



Kotla ilgili sitede lispler mevcuttur.

06.03.2015 14:30    

ozati
Merhaba,
sitede araştırdım bulamadım, autocad ekranında çizilen çizgilerin uçlarına çizginin başlangıç ve bitişindeki
uçlarına toplu halde seçilerek kotlu nokta (point) üretebilecek lisp lazım.

07.03.2015 07:40    

ehya
ozati



yanlış mı anladım.?
Seçeceğin "Line" nesnelerinin başına ve sonuna Point yapmak istiyorsun? Doğrumudur?

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] > 61 < [65] [70] [75] [80] [85] [90] [95] [100] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.57 saniye - Sorgu: 101 - Ortalama: 0.01554 saniye